RunReveal

TopicCreate creates a new enabled topic with the given name and optional precondition.

TopicCreate creates a new enabled topic with the given name and optional precondition.

POST
/topics/create

Request Body

application/jsonRequired

namestring

preconditionarray<object>

curl -X POST "https://api.runreveal.com/topics/create" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "precondition": [
      {
        "field": "string",
        "type": "string",
        "value": "string"
      }
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "enabled": true,
    "id": "string",
    "name": "string",
    "precondition": [
      {
        "field": "string",
        "type": "string",
        "value": "string"
      }
    ],
    "rank": 0,
    "workspaceId": "string"
  },
  "success": true
}

TopicDelete deletes a topic by ID.

TopicDelete deletes a topic by ID.

DELETE
/topics/delete
curl -X DELETE "https://api.runreveal.com/topics/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "id": "string"
  },
  "success": true
}

TopicGet returns a single topic looked up by ID or name.

TopicGet returns a single topic looked up by ID or name.

GET
/topics/get

Query Parameters

idstring

namestring

curl -X GET "https://api.runreveal.com/topics/get?id=string&name=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "enabled": true,
    "id": "string",
    "name": "string",
    "precondition": [
      {
        "field": "string",
        "type": "string",
        "value": "string"
      }
    ],
    "rank": 0,
    "workspaceId": "string"
  },
  "success": true
}

TopicGetPipeline returns the pipeline currently assigned to a topic.

TopicGetPipeline returns the pipeline currently assigned to a topic.

GET
/topics/get-pipeline
curl -X GET "https://api.runreveal.com/topics/get-pipeline?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "id": "string",
    "name": "string",
    "steps": [
      {
        "id": "string",
        "precondition": [
          {
            "field": "string",
            "type": "string",
            "value": "string"
          }
        ],
        "rank": 0,
        "settings": [
          0
        ],
        "type": "string"
      }
    ],
    "workspaceId": "string"
  },
  "success": true
}

TopicList returns all topics in the workspace.

TopicList returns all topics in the workspace.

GET
/topics/list
curl -X GET "https://api.runreveal.com/topics/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "enabled": true,
      "id": "string",
      "name": "string",
      "precondition": [
        {
          "field": "string",
          "type": "string",
          "value": "string"
        }
      ],
      "rank": 0,
      "workspaceId": "string"
    }
  ],
  "success": true
}

TopicMove moves a topic to a new rank in the workspace topic ordering.

TopicMove moves a topic to a new rank in the workspace topic ordering.

POST
/topics/move

Request Body

application/jsonRequired

idstring

rankinteger

curl -X POST "https://api.runreveal.com/topics/move" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "rank": 0
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "id": "string"
  },
  "success": true
}

TopicSetPipeline sets the pipeline that a topic routes its events through.

TopicSetPipeline sets the pipeline that a topic routes its events through.

POST
/topics/set-pipeline

Request Body

application/jsonRequired

idstring

pipeline_idstring

curl -X POST "https://api.runreveal.com/topics/set-pipeline" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "pipeline_id": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "id": "string"
  },
  "success": true
}

TopicUpdate updates the name, precondition, and enabled state of a topic and returns the updated topic.

TopicUpdate updates the name, precondition, and enabled state of a topic and returns the updated topic.

PUT
/topics/update

Request Body

application/jsonRequired

enabledboolean

idstring

namestring

preconditionarray<object>

curl -X PUT "https://api.runreveal.com/topics/update" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": true,
    "id": "string",
    "name": "string",
    "precondition": [
      {
        "field": "string",
        "type": "string",
        "value": "string"
      }
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "enabled": true,
    "id": "string",
    "name": "string",
    "precondition": [
      {
        "field": "string",
        "type": "string",
        "value": "string"
      }
    ],
    "rank": 0,
    "workspaceId": "string"
  },
  "success": true
}

TopicWizardCreate creates a topic and its associated pipeline in a single operation.

TopicWizardCreate creates a topic and its associated pipeline in a single operation.

POST
/topics/wizard/create

Request Body

application/jsonRequired

pipelineobject

pipeline_step_modifiedboolean

topicobject

curl -X POST "https://api.runreveal.com/topics/wizard/create" \
  -H "Content-Type: application/json" \
  -d '{
    "pipeline": {
      "id": "string",
      "name": "string",
      "steps": [
        {
          "id": "string",
          "precondition": [
            {
              "field": "string",
              "type": "string",
              "value": "string"
            }
          ],
          "rank": 0,
          "settings": [
            0
          ],
          "type": "string"
        }
      ],
      "workspaceId": "string"
    },
    "pipeline_step_modified": true,
    "topic": {
      "enabled": true,
      "id": "string",
      "name": "string",
      "precondition": [
        {
          "field": "string",
          "type": "string",
          "value": "string"
        }
      ],
      "rank": 0,
      "workspaceId": "string"
    }
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}